Description

Far Dcmltem ist ein Bug Report eingegangen (und gefixt worden), bei dem
char-Werte an isalpha() Gbergeben wurden. isalpha() arbeitet aber nur

auf vorzeichenlosen Werten (und -1 = EOF). Es gibt noch viele weitere Stellen
im Toolkit, an denen beispielsweise isalpha(), isdigit() und isupper()

mit dem Typ char aufgerufen werden. Konsequent wére es, an allen diesen
Stellen unsigned char bzw. Uint8 zu verwenden oder entsprechend zu casten.
Alternativ darauf warten, daf3 jemand damit Probleme bekommt...;)

US: Ich hab kiloweise Casts eingebaut. /EDIT//: Habe auch noch toupper() / tolower() erledigt.

History

#1 - 2012-11-05 10:35 - Uli Schlachter

For future reference, the list of functions which take an unsigned char cast to int as their argument:

S git grep -E 'toupper|tolower|isalnum|isalphal|isascii|isblank|iscntrl|isdigit|isgraphl|islower|isprint|ispunct
|isspace|isupper|isxdigit'

#2 - 2014-09-22 16:56 - Michael Onken

- Private changed from No to Yes

#3 - 2015-01-15 13:45 - Michael Onken

- Private changed from Yes to No
